Update Token

Update Token
Update a specific token

Update a token

Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/tokens/{id}
COPY
Path Parameters
string
id
Required

Token ID URN


Request Body
Token of type(s) application/json
Required

Show optional properties

{
    "id": "string",
    "name": "string"
}
{
    "id": "string",
    "name": "string",
    "token": "string",
    "expirationTimeUtc": "string",
    "requireRotation": false,
    "tokenRotation": "string",
    "owner": {
        "name": "string",
        "id": "string"
    },
    "org": {
        "name": "string",
        "id": "string"
    },
    "type": "string"
}
string
id
Required

ID of this token. Sorting on this field is not supported.

string
name
Required

Name of the token

string
token
Optional

User specific token that can be used to access proxies. Sorting on this field is not supported.

string As date-time As date-time
expirationTimeUtc
Optional

Time stamp representing when the token will expire (in UTC).

boolean
requireRotation
Optional

Whether or not token rotation is required on every use of the refresh token for this token. This only applies for refresh tokens, and will be null otherwise.

string
tokenRotation
Optional

Defines the token rotation behavior. ALWAYS: Tokens are rotated automatically when requireRotation=true. NEVER: Tokens are never rotated (requireRotation=false). ONCE_ON_NEXT_LOGIN: Token rotates on the next login, then resets to NEVER and sets requireRotation=false. NONE: Not applicable.

object
owner
Optional

Entity reference used to describe VCD entities

object
org
Optional

Entity reference used to describe VCD entities

string
type
Optional

Type of the token. Can be of type PROXY or EXTENSION

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Token of type(s) application/json;version=9.1.0
{
    "id": "string",
    "name": "string",
    "token": "string",
    "expirationTimeUtc": "string",
    "requireRotation": false,
    "tokenRotation": "string",
    "owner": {
        "name": "string",
        "id": "string"
    },
    "org": {
        "name": "string",
        "id": "string"
    },
    "type": "string"
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Classic"},{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"id":"string","name":"string"}' https://{api_host}/cloudapi/1.0.0/tokens/{id}